베스트셀링 인기 워드프레스 테마 Top 30 자세한 정보

블루호스트 PHP 8.1 적용하기(+워드프레스 호환성)

Last Updated: 2022년 1월 27일 | 2개 댓글
  • 네이버 블로그 공유하기
  • 네이버 밴드에 공유하기
  • 페이스북 공유하기
  • 트위터 공유하기
  • 카카오스토리 공유하기

블루호스트를 비롯한 일부 해외 호스팅에서는 PHP 8.1 버전에 대한 지원이 추가되어 PHP 8.1을 적용할 수 있습니다. Bluehost에서 PHP 8.1 적용 방법은 공유호스팅과 VPS에서 약간 다릅니다. PHP 버전 변경 방법은 기존 방법과 동일하므로 PHP 8.0을 적용해본 적이 있다면 쉽게 PHP 8.1로 변경할 수 있습니다.

참고로 가성비 좋은 웹호스팅을 원하는 경우 Bluehost를 고려해볼 수 있습니다. 블루호스트 속도가 느려서 꺼려하시는 분들도 간혹 계시지만, 이 블로그처럼 가벼운 테마를 사용하고 꼭 필요한 플러그인만 설치하여 구성하여 워드프레스 사이트 속도가 그리 나쁘지 않은 것 같습니다. 블루호스트에 대한 자세한 정보는 여기를 참고해보세요.

PHP 8.1 버전

지원되는 PHP 버전
현재 지원되는 PHP 버전.

각 PHP 릴리스 브랜치는 최초 안정 버전의 출시일로부터 2년 동안 지원됩니다. 이 기간 동안 보고된 버그와 보안 문제가 수정됩니다.

현재 지원되는 PHP 버전은 PHP 7.4, PHP 8.0, 그리고 PHP 8.1입니다. PHP 8.1은 2021년 11월 25일에 릴리스되어 2024년 11월 25일까지 보안 지원이 제공됩니다.

PHP 버전 사용 통계를 살펴보면 2022년 1월 기준으로 PHP 7.4가 43.9%로 가장 많이 사용되고 있고 그 뒤를 이어 PHP 8.0이 23.9% 점유율을 보이고 있습니다.

PHP 사용 통계
PHP 사용 통계. 출처: https://stitcher.io/blog/php-version-stats-january-2022

PHP 8.1은 공개된 지 얼마 되지 않았지만 약 9%를 차지하고 있습니다.

PHP 8.1을 사용해도 될까? (워드프레스 호환성)

워드프레스의 경우 2022년 1월 25일에 예정된 5.9 버전에서 PHP 8.1에 대한 지원이 향상된다고 합니다.

지금 PHP 8.1을 적용해도 일부 사이트에서는 문제 없이 돌아갈 수 있습니다. 이 블로그에 얼마 전에 PHP 8.1을 테스트해보니 눈에 띄는 오류가 없이 작동했습니다. 하지만 PHP 로그를 확인해보니 많은 (치명적이지 않은) 오류가 발생하는 것을 확인할 수 있었습니다.

그리고 일부 테마나 플러그인은 아직 PHP 8.1과의 호환성 문제로 치명적인 오류가 발생할 수 있습니다. 예를 들어, Yoast SEO가 얼마 전까지 최신 PHP 버전인 8.1에서 오류를 일으켰습니다. 그러나 지난 1월 11일에 공개된 17.9 버전에서 PHP 8.1에 대한 호환성이 개선되었습니다.

여러가지 상황으로 봤을 때 아직은 PHP 8.1을 적용하는 것이 시기상조가 아닌가 생각됩니다. 워드프레스 5.9가 공개되고 테마와 플러그인이 PHP 8.1과 호환되도록 업데이트될 때까지 기다린 후에 PHP 8.1로 업그레이드하는 것을 고려해볼 수 있을 것입니다.

PHP 8.1은 PHP 8.0에 비해 5~8% 성능 향상 효과가 있다고 합니다.

블루호스트에서 PHP 8.1 적용하기

Bluehost를 이용하는 경우 아래의 방법을 참고하여 PHP 버전을 변경할 수 있습니다.

블루호스트 공유호스팅

공유호스팅(Shared Hosting)을 이용하는 경우 Bluehost 홈페이지 로그인한 다음, 왼쪽 패널의 Advanced를 클릭합니다. cPanel이 표시되면 Software > MultiPHP Manager 툴을 클릭합니다.

블루호스트 PHP 8.1 적용하기

MultiPHP Manager 페이지가 표시되면 PHP 버전을 변경할 도메인을 선택하고 PHP Version 옆의 드롭다운에서 PHP 8.1을 선택합니다.

Bluehost PHP 버전 변경하기

현재 PHP 7.3, PHP 7.4, PHP 8.0, PHP 8.1을 적용할 수 있습니다. 만약 PHP 8.1이 표시되지 않는다면 시스템이 업그레이드될 때까지 기다려야 할 수 있습니다. 블루호스트에서는 점진적으로 시스템을 업그레이드하고 있다고 합니다.

적용(Apply) 버튼을 클릭하면 PHP 8.1이 적용됩니다.

계속하여 cPanel에서 Software > MultiPHP INI Editor 툴을 클릭합니다.

PHP ini 옵션값 설정하기

PHP 옵션값을 적절히 설정하도록 합니다. 저는 다음과 비슷하게 설정했습니다.

  • max_execution_time: 600
  • max_input_time: 300
  • max_input_vars: 2000
  • memory_limit: 512M
  • post_max_size: 64M
  • upload_max_filesize: 64

일부 테마나 플러그인에서는 위의 값보다 더 높은 값을 요구할 수도 있습니다. 그런 경우 해당 요구값에 맞게 적절히 수정하시면 됩니다. 예를 들어, 일부 워드프레스 테마나 플러그인은 max_input_vars 값을 3000으로 설정해야 제대로 작동할 수 있습니다.

PHP 8.1을 적용한 후에 사이트에 오류가 발생하지 않는지 체크하시기 바랍니다. 만약 시스템에 문제가 발생하면 다시 이전 PHP 버전으로 되돌리거나 문제의 원인을 파악하여 오류를 수정할 수 있습니다.

블루호스트 VPS

Bluehost VPS 플랜을 사용하는 경우 WHM에 접속하여 PHP 버전을 변경할 수 있습니다. WHM에 접속하여 PHP 버전을 추가/제거하는 작업에 어려움을 겪는 경우 라이브 채팅을 통해 지원 담당자에게 도움을 요청할 수 있을 것입니다.

오랫동안 WHM에 접속하지 않았다면 WHM에 접속하여 cPanel과 WHM 버전을 업그레이드해야 할 수 있습니다. 이 경우 "cPanel 및 WHM 버전 업그레이드 방법"을 참고하여 업그레이드 작업을 시도해볼 수 있습니다.

WHM에 로그인한 다음, Software > EasyApache 4를 선택합니다.

블루호스트 VPS PHP 8.1 설치하기

위와 같은 화면이 표시되면 Currently Installed Packages(현재 설치된 패키지) 상자의 Customize(사용자 정의) 버튼을 클릭하여 불필요한 PHP 버전을 제거하고 새로운 PHP 버전을 설치할 수 있습니다. 저는 PHP 7.4 버전을 제거하고 PHP 8.1 버전을 추가했습니다.

PHP 익스텐션은 PHP 8.0에 설치된 익스텐션을 참조하여 동일하게 선택했습니다.

Bluehost VPS PHP 익스텐션 설치 제거

PHP 8.1 설치가 완료되면 공유호스팅과 비슷한 방법으로 PHP 버전을 변경하고 PHP ini 설정값을 조정할 수 있습니다.

PHP 버전은 Software > MultiPHP Manager에서 변경할 수 있고, PHP 옵션값은 Software > MultiPHP INI Editor에서 지정할 수 있습니다. (메뉴 자체는 공유호스팅과 동일하지만 VPS에서는 WHM에 접속해야 한다는 점이 다릅니다.)

블루호스트 VPS PHP ini 설정값

위의 그림에서는 memory_limit가 1024M로 설정되어 있지만 보통 512M로 설정하면 무난할 것입니다.

마찬가지로 PHP 8.1을 적용한 후에 사이트에 문제가 발생하면 이전 PHP 버전(예: PHP 8.0 또는 PHP 7.4)으로 되돌릴 수 있습니다.

PHP 버전을 변경하는 과정에서 오류가 발생할 경우 라이브 채팅으로 문의해볼 수 있지만, 특히 워드프레스 멀티사이트에서 오류가 발생한다면 워드프레스가 PHP 8.1과 완전히 호환될 때까지 기다리는 것이 더 바람직한 것 같습니다.

멀티사이트에서 오류가 발생할 경우 경험이 없다면 오류를 수정하는 작업이 쉽지 않을 수 있습니다. 저는 PHP 8.1을 적용한 후에 멀티사이트에서 오류가 발생하여 라이브 채팅으로 문의했지만 문제가 더 꼬여서 조금 고생했습니다.

2022년 1월 26일 업데이트: 워드프레스 5.9 업데이트 + PHP 8.1 적용

워드프레스 5.9 업데이트가 릴리스되었습니다. 5.9 버전에서는 PHP 8.1에 대한 지원이 향상되었다고 합니다. 실제로 이 블로그에 PHP 8.1을 적용해도 별 문제 없이 잘 작동하고 있습니다. 이 글을 처음 작성할 당시 Yoast SEO가 PHP 8.1에서 문제를 일으켰지만 그 사이 Yoast SEO가 두 차례 업데이트되면서 PHP 8.1에서 잘 작동하는 것 같습니다.

이 글을 작성할 당시 멀티사이트에서 문제가 발생하여 해결한다고 조금 고생했는데, 지금은 멀티사이트에서도 문제가 발생하지 않고 잘 작동하고 있습니다.

참고



2 개 댓글

Leave a Comment

  1. 카페24에서는 7.4가 최신인 것 같아요..
    어제 오랜만에 가 보니 7.4가 되어 있어 바로 업그레이드 했습니다.
    업그레이드를 하니 속도면에서 확실히 빠르다는 것을 체감할 수 있었습니다..

    응답
    • 저도 살펴보니 카페24에서 PHP 7.4가 추가되었네요.ㅎ
      PHP 7.4를 건너띄고 PHP 8.0으로 곧바로 넘어갈 것이라 생각했는데, 의외네요. PHP 8.0을 추가했으면 좋았을 것을...

      응답